Bug 1972514 - add check for accessing traffic from status in ksvc
Summary: add check for accessing traffic from status in ksvc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.9.0
Assignee: Jaivardhan Kumar
QA Contact:
Rishu Mehra
URL:
Whiteboard:
Depends On:
Blocks: 2013091
TreeView+ depends on / blocked
 
Reported: 2021-06-16 06:08 UTC by Jaivardhan Kumar
Modified: 2021-10-18 17:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, because of some issues with serverless operators, the status of the nightly builds was not getting updated in the associated resources. So when you click on `ksvc` in the Topology and throw a null pointer exception. In the current release, this issue is fixed and now when you click on `ksvc` it shows the build information in the side panel. (link:https://bugzilla.redhat.com/show_bug.cgi?id=1972514[*BZ#1972514*])
Clone Of:
: 2013091 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:34:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (332.72 KB, image/png)
2021-06-16 06:08 UTC, Jaivardhan Kumar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9268 0 None open Bug 1972514: KSVC - adds check for status in ksvc in util logic 2021-06-16 07:46:21 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:34:45 UTC

Description Jaivardhan Kumar 2021-06-16 06:08:47 UTC
Created attachment 1791446 [details]
screenshot

Description of problem: Status is usually there when any k8s resource is created, same is the case for ksvc. Though status is an optional field and good to have a check.


Version-Release number of selected component (if applicable): Install serverless operator


How reproducible: Only Once


Steps to Reproduce:
1.go to devconsole => add => git import flow
2.select node js sample app and ksvc as resource 
3.click on KSVC in topology

Actual results: NPE is thrown in topology and err is shown in the error boundary


Expected results: should show ksvc sidebar


Additional info: This issue was observed by Vikram Raj and for this scenario, there was no status field in ksvc yaml, but we couldn't reproduce it again on the same cluster again.

Comment 2 Vikram Raj 2021-06-18 14:40:17 UTC
Verified this on 4.9.0-0.nightly-2021-06-18-061022 and not able to reproduce it anymore.

Comment 6 errata-xmlrpc 2021-10-18 17:34:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.